xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) glasser@mit.edu
License | BSD
Maintainer | glasser@mit.edu
Stability | stable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.Accordion

Contents

- Usage

Description

LayoutClass that puts non-focused windows in ribbons at the top and bottom of the screen.

Synopsis

- data Accordion a = Accordion

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.Accordion

Then edit your `layoutHook` by adding the Accordion layout:

    myLayout = Accordion ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

data Accordion a Source #

Constructors

Accordion |

#### Instances

Instances details

LayoutClass Accordion Window Source # |

Instance details

Defined in XMonad.Layout.Accordion

Methods

runLayout :: Workspace WorkspaceId (Accordion Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Accordion Window)) Source #

doLayout :: Accordion Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (Accordion Window)) Source #

pureLayout :: Accordion Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] Source #

emptyLayout :: Accordion Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Accordion Window)) Source #

handleMessage :: Accordion Window -> SomeMessage -> X (Maybe (Accordion Window)) Source #

pureMessage :: Accordion Window -> SomeMessage -> Maybe (Accordion Window) Source #

description :: Accordion Window -> String Source #

Read (Accordion a) Source # |
Instance details Defined in XMonad.Layout.Accordion Methods readsPrec :: Int -> ReadS (Accordion a) Source # readList :: ReadS [Accordion a] Source # readPrec :: ReadPrec (Accordion a) Source # readListPrec :: ReadPrec [Accordion a] Source #
Show (Accordion a) Source # |
Instance details Defined in XMonad.Layout.Accordion Methods showsPrec :: Int -> Accordion a -> ShowS Source # show :: Accordion a -> String Source # showList :: [Accordion a] -> ShowS Source #